org.apache.felix.systemready

## Class CheckStatus

- java.lang.Object
- - org.apache.felix.systemready.CheckStatus

Deprecated.
Use the Apache Felix Healthchecks instead.

    @Deprecated
    public final class CheckStatus
    extends Object

This framework is deprecated.

### Nested Class Summary

Nested Classes
`static class` `CheckStatus.State` Deprecated.

### Constructor Summary

Constructors
Constructor and Description
`CheckStatus(String checkName, StateType type, CheckStatus.State state, String details)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getCheckName()` Deprecated.
`String` `getDetails()` Deprecated.
`CheckStatus.State` `getState()` Deprecated.
`StateType` `getType()` Deprecated.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CheckStatus

    public CheckStatus(String checkName,
                       StateType type,
                       CheckStatus.State state,
                       String details)

Deprecated.

### Method Detail

#### getCheckName

    public String getCheckName()

Deprecated.

#### getType

    public StateType getType()

Deprecated.

#### getState

    public CheckStatus.State getState()

Deprecated.

#### getDetails

    public String getDetails()

Deprecated.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`